API reference
Create a webhook endpoint
Registers a new subscriber URL. The returned `secret` field is shown ONLY in this response — store it immediately.
POST
/v1/webhook-endpointsAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard (no sk_ prefix required).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhook-endpoints" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com" }'{
"id": "string",
"url": "http://example.com",
"description": "string",
"enabled_events": [
"payment_order.created"
],
"redact_metadata": true,
"disabled_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"secret": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}